# audio-fusefs

The brainstorm here is rather than finding the most ideal audio manager application, etc., instead have a representation that is flexible.
Focus on clean and accurate tag metadata information in each file.

Then a mock-up would be:
```shell
audio-fusefs ~/Audio/ ~/AudioInfo/
```

Top-level will be a number of `by-<data>` directories, similar to `/dev/disk/` on Linux.
So:
* `by-album`
* `by-artist`
* `by-composer`
* `by-conductor`
* `by-date`
* `by-extension`
* `by-genre`
* `by-recordingdate`
* `by-samplerate`
* `by-size`
* ... surely others

## Approach

The benefit of an an approach like this would be in how well files' tags are accurate, how well that data is indexed, and how efficiently changes to the source directory are brought on.

## Links

* [Audio and Music packages](https://github.com/avelino/awesome-go#audio-and-music)
* [go-taglib](https://github.com/wtolson/go-taglib)
* [id3v2](https://github.com/bogem/id3v2)
* [bazil/fuse](https://github.com/bazil/fuse)
* [hanwen/go-fuse](https://github.com/hanwen/go-fuse)
